<p align="center">
<img src="https://github.com/LalithShiyam/FERRET/blob/main/Images/Ferret-logo.png">
</p>

# Ferret 🦡 
[![PyPI version](https://img.shields.io/pypi/v/ferretz?color=FF1493&style=flat-square&logo=pypi)](https://pypi.org/project/ferretz/) [![Monthly Downloads](https://img.shields.io/pypi/dm/ferretz?label=Downloads%20(Monthly)&color=FF69B4&style=flat-square&logo=python)](https://pypi.org/project/ferretz/) 
[![Daily Downloads](https://img.shields.io/pypi/dd/ferretz?label=Downloads%20(Daily)&color=FF69B4&style=flat-square&logo=python)](https://pypi.org/project/ferretz/)


**_Framework for Enhance: Organized Workflow Library_**
Ferret is a Python tool designed specifically to create 'enhance.pet' compliant Python packages. This tool offers a user-friendly way to generate a package structure that follows the guidelines and best practices of the enhance.pet framework.

## Features 🌟

- **'enhance.pet' Compliance**: Designed to generate package structures that are fully compliant with the enhance.pet framework.
- **Interactive CLI**: Offers an interactive command-line interface.
- **Customization**: Allows package name, author, and location to be user-defined.
- **Code Structure**: Automatically generates necessary files and directories.
- **Template Preambles**: Adds Sphinx-compatible documentation templates to Python modules.

## Installation 🛠️

To install Ferretz, run:

```bash
pip install ferretz
```

## Usage 🚀

After installation, start Ferretz using the CLI:

```bash
ferretz
```

Follow the on-screen instructions to create your enhance.pet compliant Python package.

### Directory Structure

Generated package structure will be fully compliant with enhance.pet guidelines:

```plaintext
your_package_namez/
├── your_package_namez/
│   ├── __init__.py
│   └── [other_modules].py
├── README.md
└── setup.py
```

## Contributing 🤝

Contributions, issues, and feature requests are welcome!

## License 📄

Licensed under the [MIT License](./LICENSE) - see the [LICENSE.md](./LICENSE.md) file for details.
